Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000110 [Yate - Yet Another Telephony Engine] engine crash always 2008-02-23 15:20 2014-02-13 12:54
Reporter redvo View Status public  
Assigned To paulc
Priority normal Resolution fixed  
Status resolved   Product Version SVN
Summary 0000110: Segmentation using Array Class addRow method
Description Using the Array Class addRow method consistently produced a segmentation fault.
I am using Yate2, but this problem also exists in Yate1.
Having searched through the source code and it seems this methid is not being used.
Below are the chanes I made to resolve this issue.
Additional Information bool Array::addRow(ObjList* row, int index)
{
    if (index < 0)
        index = m_rows;
    if (index > m_rows)
        return false;
    for (int i=0; i<m_columns; i++) {
        GenObject* item = row ? (*row)[i] : 0;

// if (index == m_rows)
// ((*(ObjList *)(m_obj[i]))+index)->append(item,false);
// else
// ((*(ObjList *)(m_obj[i]))+index)->insert(item,false);

        ObjList* l = static_cast<ObjList*>(m_obj[i]);
        if (l)
            if (index == m_rows)
                l->append(item,false);
            else{
                l = (*l)+index;
                l->insert(item,false);
            }
    }
    m_rows++;
    return true;
}
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000542)
paulc (administrator)
2014-02-13 12:54

Fixed in Rev. 5778

- Issue History
Date Modified Username Field Change
2008-02-23 15:20 redvo New Issue
2008-09-05 16:04 paulc Assigned To => paulc
2008-09-05 16:04 paulc Status new => acknowledged
2014-02-13 12:54 paulc Note Added: 0000542
2014-02-13 12:54 paulc Status acknowledged => resolved
2014-02-13 12:54 paulc Resolution open => fixed
2014-02-13 12:54 paulc version => SVN


Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker